cassandra-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Carlos Abad (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (CASSANDRA-9608) Support Java 9
Date Mon, 25 Jul 2016 21:44:20 GMT

    [ https://issues.apache.org/jira/browse/CASSANDRA-9608?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15392717#comment-15392717
] 

Carlos Abad edited comment on CASSANDRA-9608 at 7/25/16 9:44 PM:
-----------------------------------------------------------------

Found a fix to the failed cipher tests. Need to install the Java JCE (Java Cryptographic Extension).
It's already bundled -but not enabled- with the JDK9 EA build. Find it here <java dir>/lib/security/unlimited_policy/.
If not there (like when using Oracle Java 8), need to be downloaded and installed manually.


was (Author: carlosabad):
Found a fix to the failed cipher tests. Need to install the Java JCE -Java Cryptographic Extension-.
It's already bundled -but not enabled- with the JDK9 EA build. Find it here <java dir>/lib/security/unlimited_policy/.
If not there -like when using Oracle Java 8-, need to be downloaded and installed manually.

> Support Java 9
> --------------
>
>                 Key: CASSANDRA-9608
>                 URL: https://issues.apache.org/jira/browse/CASSANDRA-9608
>             Project: Cassandra
>          Issue Type: Task
>            Reporter: Robert Stupp
>            Priority: Minor
>
> This ticket is intended to group all issues found to support Java 9 in the future.
> From what I've found out so far:
> * Maven dependency {{com.sun:tools:jar:0}} via cobertura cannot be resolved. It can be
easily solved using this patch:
> {code}
> -        <dependency groupId="net.sourceforge.cobertura" artifactId="cobertura"/>
> +        <dependency groupId="net.sourceforge.cobertura" artifactId="cobertura">
> +          <exclusion groupId="com.sun" artifactId="tools"/>
> +        </dependency>
> {code}
> * Another issue is that {{sun.misc.Unsafe}} no longer contains the methods {{monitorEnter}}
+ {{monitorExit}}. These methods are used by {{o.a.c.utils.concurrent.Locks}} which is only
used by {{o.a.c.db.AtomicBTreeColumns}}.
> I don't mind to start working on this yet since Java 9 is in a too early development
phase.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message